﻿@using Application.Model;
@model TaskViewModel
@{
    ViewData["Title"] = "Create New Task";
    var listProjects = ViewBag.ListProjects as SelectList;
    var listUsers = ViewBag.ListUsers as SelectList;
    var listTaskStatus = ViewBag.ListTaskStatus as SelectList;
}

<div class="loginContainer">
    <div class="row justify-content-center">
        <div class="col-md-4">
            <h2 class="text-center">Create New Task</h2>

            <form method="post" asp-controller="Task" asp-action="InsertUpdate">
                @Html.HiddenFor(x => x.Id)
                <div class="form-group">
                    <input type="text" id="title" name="title" value="@Model.Title" class="form-control" placeholder="Project Title" required />
                </div>
                <div class="form-group">
                    <textarea id="description" name="description" class="form-control" placeholder="Project Description" required>
                        @(!string.IsNullOrEmpty(Model.Description) ? Model.Description?.Trim() : "")
                    </textarea>
                </div>
                <div class="form-group">
                    @Html.DropDownList("ProjectId", listProjects, (Model.ProjectId > 0 ? Model.ProjectId.ToString() : "Select Project"), new { @class = "form-control" })
                </div>
                <div class="form-group">
                    <input type="date" id="createDate" name="createDate" value="@Model.CreateDate?.ToString("yyyy-MM-dd")" class="form-control" title="Task Create Date" required />
                </div>
                <div class="form-group">
                    <input type="date" id="completionDate" name="completionDate" value="@Model.CompletionDate?.ToString("yyyy-MM-dd")" class="form-control" title="Task Completion Date" required />
                </div>
                <div class="form-group">
                    @Html.DropDownList("UserId", listUsers, (Model.UserId > 0 ? Model.UserId.ToString() : "Select User"), new { @class = "form-control" })
                </div>
                <div class="form-group">
                    @Html.DropDownList("StatusId", listTaskStatus, (Model.StatusId > 0 ? Model.StatusId.ToString() : "Select Task Status"), new { @class = "form-control" })
                </div>
                <div class="form-group text-center">
                    <button type="submit" class="btn action-btn mt-2">Save</button>
                    <button type="button" onclick="location.href='@Url.Action("Index", "Task")'" class="btn info-btn mt-2">Back</button>
                </div>
                
            </form>

            <div>
                @if (!string.IsNullOrEmpty(ViewBag.Mensagem))
                {
                    <p>@ViewBag.Mensagem</p>
                }
            </div>
        </div>
    </div>
</div>




